SparkProgressService.JobProgress (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class SparkProgressService.JobProgress

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.SparkProgressService.JobProgress

- Enclosing class:
    SparkProgressService

      public static class SparkProgressService.JobProgress
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobProgress()`
    `JobProgress(int id, boolean running)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `getExecutorIds()`
    `int` | `getId()`
    `java.util.ArrayList<SparkProgressService.StageProgress>` | `getStages()`
    `boolean` | `isRunning()`
    `void` | `setExecutorIds(java.util.ArrayList<java.lang.String> executorIds)`
    `void` | `setId(int id)`
    `void` | `setRunning(boolean running)`
    `void` | `setStages(java.util.ArrayList<SparkProgressService.StageProgress> stages)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobProgress

          public JobProgress()

    - #### JobProgress

          public JobProgress(int id,
                             boolean running)

  - ### Method Detail

    - #### isRunning

          public boolean isRunning()

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### setRunning

          public void setRunning(boolean running)

    - #### getStages

          public java.util.ArrayList<SparkProgressService.StageProgress> getStages()

    - #### setStages

          public void setStages(java.util.ArrayList<SparkProgressService.StageProgress> stages)

    - #### getExecutorIds

          public java.util.ArrayList<java.lang.String> getExecutorIds()

    - #### setExecutorIds

          public void setExecutorIds(java.util.ArrayList<java.lang.String> executorIds)